post
https://sandbox.saner.secpod.com/AncorWebService/perform
Download AD agent installers for every account in an organization, or for one named account.
This method allows you to download AD agent installer for accounts under the organizations in Saner Server.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| organization | Name of the organization whose AD agent installer is to be downloaded | Yes | string |
| account | Name of the account under the organization for which AD agent installer is to be downloaded. If not provided, installers for all accounts under the organization are returned | No | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.AD.downloadAgent(
organization="Demo Org"
)
if isinstance(response, bytes):
with open("AD-Agent.zip", "wb") as f:
f.write(response)
else:
print(response)
client.close()Requires Python 3.9 or later.